Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.log.dev
Class LocalLogService

    java.lang.Object
      AbstractLocalRpcService
          com.google.appengine.api.log.dev.LocalLogService

    @ServiceProvider(value=)
    public class LocalLogService

extends AbstractLocalRpcService

Implementation of local log service.

Field Summary
`static java.lang.String` | `PACKAGE`

Constructor Summary
`LocalLogService()`

Method Summary
`void` | `addAppLogLine(java.lang.String requestId, long time, int level, java.lang.String message)`
`void` | `addRequestInfo(java.lang.String appId, java.lang.String versionId, java.lang.String requestId, java.lang.String ip, java.lang.String nickname, long startTimeUsec, long endTimeUsec, java.lang.String method, java.lang.String resource, java.lang.String httpVersion, int responseSize, java.lang.String userAgent, boolean complete, java.lang.Integer status, java.lang.String referrer)`
`void` | `clear()` Clears out the internal logs stored.
`java.util.logging.Handler` | `getLogHandler()`
`java.lang.String` | `getPackage()`
`LogReadResponse` | `read(Status status, LogReadRequest request)` Reads log records from the in-memory log list and applies user-specified filters to the results to return.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PACKAGE

    public static final java.lang.String PACKAGE

See Also:
  Constant Field Values

Constructor Detail

### LocalLogService

    public LocalLogService()

Method Detail

### getPackage

    public java.lang.String getPackage()

  Returns:
    The package name associated with this API.

### read

    public LogReadResponse read(Status status,
                                LogReadRequest request)

  Reads log records from the in-memory log list and applies user-specified filters to the results to return.

  Parameters:
    `status` -
    `request` - A set of parameters that indicate restrictions on the results that should be returned.
  Returns:
    A set of logs matching the parameters given. If the number of logs returned exceed either the user-specified amount or the API-specified limit, then an offset is returned that has a reference to the next record to read from in subsequent requests.

### addRequestInfo

    public void addRequestInfo(java.lang.String appId,
                               java.lang.String versionId,
                               java.lang.String requestId,
                               java.lang.String ip,
                               java.lang.String nickname,
                               long startTimeUsec,
                               long endTimeUsec,
                               java.lang.String method,
                               java.lang.String resource,
                               java.lang.String httpVersion,
                               int responseSize,
                               java.lang.String userAgent,
                               boolean complete,
                               java.lang.Integer status,
                               java.lang.String referrer)

### addAppLogLine

    public void addAppLogLine(java.lang.String requestId,
                              long time,
                              int level,
                              java.lang.String message)

### getLogHandler

    public java.util.logging.Handler getLogHandler()

### clear

    public void clear()

  Clears out the internal logs stored.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD